package com.mcwl.web.controller.resource;


import com.mcwl.common.core.controller.BaseController;
import com.mcwl.common.utils.ResponsePageEntity;
import com.mcwl.resource.domain.MallProduct;
import com.mcwl.resource.service.MallProductService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.web.controller.resource
 * @Filename：MallProductController
 * @Description 商品
 * @Date：2024/12/31 10:48
 */
@RestController
@RequestMapping("/MallProduct")
public class MallProductController extends BaseController {


    private final MallProductService mallProductService;

    public MallProductController(MallProductService mallProductService) {
        this.mallProductService = mallProductService;
    }

//    /**
//     * 通过id查询商品图片信息
//     *
//     * @param id 系统ID
//     * @return 商品图片信息
//     */
//    @ApiOperation(notes = "通过id查询商品图片信息", value = "通过id查询商品图片信息")
//    @GetMapping("/findById")
//    public MallProduct findById(Long id) {
//        return mallProductService.findById(id);
//    }
//
//    /**
//     * 根据条件查询商品图片列表
//     *
//     * @param mallProduct 条件
//     * @return 商品图片列表
//     */
//    @ApiOperation(notes = "根据条件查询商品图片列表", value = "根据条件查询商品图片列表")
//    @PostMapping("/searchByPage")
//    public ResponsePageEntity<MallProduct> searchByPage(@RequestBody MallProduct mallProduct) {
//        return mallProductService.searchByPage(mallProduct);
//    }
//
//
//    /**
//     * 添加商品图片
//     *
//     * @param mallProduct 商品实体
//     * @return 影响行数
//     */
//    @ApiOperation(notes = "添加商品", value = "添加商品")
//    @PostMapping("/insert")
//    public int insert(@RequestBody MallProduct mallProduct) {
//        return mallProductService.insert(mallProduct);
//    }
//
//    /**
//     * 修改商品
//     *
//     * @param mallProduct 商品实体
//     * @return 影响行数
//     */
//    @ApiOperation(notes = "修改商品", value = "修改商品")
//    @PostMapping("/update")
//    public int update(@RequestBody MallProduct mallProduct) {
//        return mallProductService.update(mallProduct);
//    }
//
//    /**
//     * 批量删除商品
//     *
//     * @param ids 商品ID集合
//     * @return 影响行数
//     */
//    @ApiOperation(notes = "批量删除商品", value = "批量删除商品")
//    @PostMapping("/deleteByIds")
//    public int deleteByIds(@RequestBody @NotNull List<Long> ids) {
//        return mallProductService.deleteByIds(ids);
//    }
//


}
